Proposed Solution
Add UML changes - BusSegment (see attached) to the UML diagram.

Decision

TF13 21 June 2023

- add the class in next release of CIM18

- the Retain attribute should be .retained with the same decription as Switch.retained
- BusSegment.retained should be in 452

- BusSegment should have 2 Terminals

It needs to be send (for a week review) TF13 before implementing it.

Release Notes

BusSegment class that inherits from Conductor is added. The class has attribute BusSegment.retained

The description of the class is: A two terminal and power conducting device of negligible impedance and length represented as zero
impedance device that can be used to represent the conductor between connection points to substation conducting equipment on a
substation bus.

The class and the attribute are added to the EQ profile. BusSegment.retained is required attribute in EQ as Switch.retained.

Related issues:
Follows WG13 Issues - CIM Issues #5868: New BusSegment for busbar modeling New

History

#1 - 06/26/2022 10:03 PM - Yang Feng
- Follows CIM Issues #5868: New BusSegment for busbar modeling added

#2 - 09/22/2022 04:43 PM - Eric Stephan

- Status changed from New to Open

#3 - 10/19/2022 10:29 AM - Eric Stephan
- File BusSegment.jpg added
- Proposed Solution updated

#4 - 10/19/2022 10:36 AM - Eric Stephan
- Originally Assigned To set to Chuck DuBose

Note from WG13 Meeting: Spell the retained attribute the same way as the attribute in Switch.

#5 - 06/21/2023 10:48 AM - Chavdar Ilvanov
- Status changed from Open to Review

- Decision updated

#6 - 06/30/2023 11:36 AM - Todd Viegut

- Decision updated

#7 - 10/08/2023 12:26 AM - Chavdar Ilvanov

- Status changed from Review to Closed

- Solution to be Applied To set to CIM18v07

- Solution Version set to CIM18v07

- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 10/08/2023

- Breaking Change changed from Yes to No

- Breaking Change Description deleted (Same to its main task)

- Release Notes updated

#8 - 10/20/2023 09:44 AM - Todd Viegut
- Solution to be Applied To changed from CIM18v07 to 18v07

#9 - 10/20/2023 09:55 AM - Todd Viegut
- Solution to be Applied To changed from 18v07 to CIM18v07
